ACH Old

Create an ACH Sale

post

For member variable "AccountType" use the following values:

  1. Personal Checking = 1
  2. Personal Saving = 2
  3. Business Checking = 3
  4. Business Saving = 4
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
MerchIDintegerOptionalExample: 1
Responses
chevron-right
200

Successful ACH Sale transaction

application/json
post
/APIcardProcREST/v1.0.0/ACH/Sale
200

Successful ACH Sale transaction

Create an ACH Combo Sale and Consent

post

This method creates both an ACH sale and consent. To create a consent only without processing the sale, set the Amount to zero.

For member variable "AccountType" use the following values:

  1. Personal Checking = 1
  2. Personal Saving = 2
  3. Business Checking = 3
  4. Business Saving = 4
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
MerchIDintegerOptionalExample: 1
Responses
chevron-right
200

Successful ACH Combo Sale and Consent transaction

application/json
post
/APIcardProcREST/v1.0.0/ACH/Combo
200

Successful ACH Combo Sale and Consent transaction

Apply credit to an ACH transaction

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
TxIDintegerOptionalExample: 2
CreditAmountnumber · floatOptionalExample: 15.25
Responses
chevron-right
200

Successful application of credit to the ACH transaction

application/json
post
/APIcardProcREST/v1.0.0/ACH/ApplyCredit
200

Successful application of credit to the ACH transaction

Process payment with ACH annual consent

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
ConsentIDintegerOptionalExample: 21
ProcessAmountnumber · floatOptionalExample: 5.1
Responses
chevron-right
200

Successful processing of ACH consent payment

application/json
post
/APIcardProcREST/v1.0.0/ACH/ProcPayment
200

Successful processing of ACH consent payment

Void an ACH transaction

post
Header parameters
SessKeystringRequired

A unique session key used for authentication in API calls. This key is generated upon successful authentication and must be included in all subsequent requests.

Example: A1842D663E9A4A72XXXXXXXX303541303234373138
Content-TypestringRequiredExample: application/json
AcceptstringRequiredExample: application/json
Body
TxIDintegerOptionalExample: 35
Responses
chevron-right
200

Successful voiding of the ACH transaction

application/json
post
/APIcardProcREST/v1.0.0/ACH/Void
200

Successful voiding of the ACH transaction

Last updated

Was this helpful?